XBSSNAPSHOT(1)

NAME
xbssnapshot - CoreXBS snapshot utility

SYNOPSIS
xbssnapshot fetch [--[no]live] [--age hours] [--[no]xpc] train_name

xbssnapshot authcheck [--timeout seconds] train_name

DESCRIPTION
In the 1st form, xbssnapshot is used to obtain a snapshot of Cortex for train_name. A cache of snapshots is maintained in a directory, which may or may not be used in addition to consulting the Cortex servers depending on command line OPTIONS specified. If successful, a file URL of a suitable snasphot is printed to STDOUT. On failure, a description of the failure is printed to STDERR.

In the 2nd form, xbssnapshot is used to check connectivity to the Cortex servers for train_name and determine if AppleConnect (Single Sign-On) credentials will be required to obtain a snapshot. If the Cortex server can be reached, YES is printed to STDOUT if SSO authentication is required and NO is printed if not. On failure (including not being able to reach the Cortex servers), a description of the failure is printed to STDERR.

OPTIONS

--live
    Force xbssnapshot to bypass the snapshot cache directory and fetch data from Cortex.

--nolive
    Force xbssnapshot to not fetch data from Cortex and only use the snapshot cache directory.

--age hours
    When considering if a snapshot found in the snapshot cache directory is "new enough", only accept snapshots that are less than hours old.

--xpc
    Use XPC service when fetching data from Cortex. This is the default.

--noxpc
    Bypass XPC service when fetching data from Cortex.

--timeout seconds
    When performing connectivity test with Cortex server(s), how long to wait before assuming no connectivity to a given Cortex server.

RETURN VALUES
Returns 0 on success, and non-zero on failure.

ENVIRONMENT

CTXHost
    May be set to the hostname of a specific Cortex server. This is mainly only useful to the developers.

CTXPort
    May be set to specific port to connect to CTXHost on (does nothing unless CTXHost is also set). This is mainly only useful to the developers.

FILES

/Library/Caches/com.apple.bni.cortexsnapshot
    Directory where snapshots are cached.

/var/log/system.log
    CoreXBS framework and XPC services log here. grep CoreXBS /var/log/system.log may show additional information above and beyond what xbssnapshot prints on it's own.

BUGS
If you encounter issues with xbssnapshot, please file a Radar. Component is "CBL - CoreXBS|X". Please include the following information, if possible:

1.  Output of xbssnapshot, including command line it was invoked with.

2.  Output of ls -lh /Library/Caches/com.apple.bni.cortexsnapshot

3.  Output of grep CoreXBS /var/log/system.log

4.  If a snapshot was fetched, a copy of the snapshot.

AUTHOR
Problems with xbssnapshot should be addressed via Radar (see BUGS). For discussion and advice from other users please subscribe to xbs-help@group.apple.com. The maintainers of xbssnapshot are cbt@group.apple.com. Suggestions and comments are always welcome!